import request from '../utils/request.js';
import Qs from 'qs';


export function test(data) {
	return request({
		method: 'post',
		data: data,
		url: '/test/post'
	})
}


export function chargingData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/charging/chargingData'
	})
}

export function marketingData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/charging/marketingData'
	})
}
export function findChargeData(data) {
	return request({
		method: 'get',
		data: data,
		url: '/mobile/regUser/findChargeData'
	})
}


export function personalCenter(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/regUser/personalCenter'
	})
}
export function logout(data) {
	return request({
		method: 'get',
		data: data,
		url: '/mobile/regUser/logout'
	})
}


export function stopCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/command/stopCharging'
	})
}
export function startCharging(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/command/startCharging'
	})
}
export function accountRecordData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/accountRecord/accountRecordData'
	})
}
export function accountDetail(id) {
	return request({
		method: 'get',
		 
		url: '/mobile/accountRecord/accountDetail?id='+id
	})
}


export function chargingRecordData(data) {
	return request({
		method: 'post',
		data: data,
		url: '/mobile/chargingRecord/chargingRecordData'
	})
}
export function chargingDetail(id) {
	return request({
		method: 'get',
		 
		url: '/mobile/chargingRecord/chargingDetail?id='+id
	})
}

export function passengerMessageNoReadNum(data) {
	
	return request({
		url: '/mobile/passengerApi/passengerMessageNoReadNum',
		data:data,
		method: 'post',
	})
}
  
  export function chargingDeviceData(data) {
  	return request({
  		method: 'post',
  		data: data,
  		url: '/mobile/charging/chargingDeviceData'
  	})
  }